<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>JBoolean.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.jute.compiler</a> &gt; <span class="el_source">JBoolean.java</span></div><h1>JBoolean.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jute.compiler;

/**
 *
 */
public class JBoolean extends JType {
    
    /** Creates a new instance of JBoolean */
    public JBoolean() {
<span class="nc" id="L28">        super(&quot;int32_t&quot;, &quot;bool&quot;, &quot;bool&quot;, &quot;boolean&quot;, &quot;Bool&quot;, &quot;Boolean&quot;, &quot;bool&quot;, &quot;toBoolean&quot;);</span>
<span class="nc" id="L29">    }</span>
    
    public String getSignature() {
<span class="nc" id="L32">        return &quot;z&quot;;</span>
    }
    
    public String genJavaCompareTo(String fname) {
<span class="nc" id="L36">        return &quot;    ret = (&quot;+fname+&quot; == peer.&quot;+fname+&quot;)? 0 : (&quot;+fname+&quot;?1:-1);\n&quot;;</span>
    }
    
    public String genJavaHashCode(String fname) {
<span class="nc" id="L40">        return &quot;     ret = (&quot;+fname+&quot;)?0:1;\n&quot;;</span>
    }

    String genCsharpHashCode(String fname) {
<span class="nc" id="L44">        return &quot;     ret = (&quot;+capitalize(fname)+&quot;)?0:1;\n&quot;;</span>
    }

    String genCsharpCompareTo(String name) {
<span class="nc" id="L48">        return &quot;    ret = (&quot;+capitalize(name)+&quot; == peer.&quot;+capitalize(name)+&quot;)? 0 : (&quot;+capitalize(name)+&quot;?1:-1);\n&quot;;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>